workspaces_access_alerts_retrieve
GET
/api/workspaces/{id}/access-alerts
const url = 'https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/access-alerts';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/access-alerts \ --header 'Authorization: Bearer <token>'Return the data of a workspace that the user sees but cannot open, by cause.
The data are the ones the user sees in the workspace. Their access is the one of the user: two members of the same workspace get different alerts.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this workspace.
Responses
Section titled “Responses”Media typeapplication/json
The access alerts of a workspace for the user.
object
last_verification_time
required
Most recent verification of the access of the user to a visible data object.
string format: date-time
check_in_progress
required
Whether a check of the access of the user is queued or running.
boolean
alerts
required
Only the causes that concern at least one data object.
Array<object>
The visible data that the user cannot open for one cause.
object
cause
required
no_credentials- no_credentialsunaccessible- unaccessibleunreachable- unreachableunverified- unverified
string
data_count
required
integer
connections
required
Array<object>
The data of one connection concerned by an access alert.
object
id
required
string format: uuid
name
required
string
plugin_name
required
string
logo
required
string format: uri
data_count
required
integer
Example
{ "alerts": [ { "cause": "no_credentials" } ]}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "workspace", "code": "not_allowed", "message": "You are not a member of this workspace." } ]}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
